Bug 50908 - Web Inspector: move scripts storage from ScriptsPanel to DebuggerModel
Summary: Web Inspector: move scripts storage from ScriptsPanel to DebuggerModel
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-13 02:58 PST by Pavel Podivilov
Modified: 2010-12-15 10:33 PST (History)
13 users (show)

See Also:


Attachments
Patch. (22.38 KB, patch)
2010-12-13 02:59 PST, Pavel Podivilov
pfeldman: review-
Details | Formatted Diff | Diff
Comments addressed. (22.09 KB, patch)
2010-12-14 03:14 PST, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2010-12-13 02:58:52 PST
Web Inspector: move scripts storage from ScriptsPanel to DebuggerModel
Comment 1 Pavel Podivilov 2010-12-13 02:59:37 PST
Created attachment 76363 [details]
Patch.
Comment 2 Pavel Feldman 2010-12-13 04:07:02 PST
Comment on attachment 76363 [details]
Patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=76363&action=review

> WebCore/inspector/front-end/DebuggerModel.js:34
> +    this._scripts = {};

Where is it cleared?
Comment 3 Pavel Podivilov 2010-12-14 03:14:47 PST
Created attachment 76521 [details]
Comments addressed.
Comment 4 Pavel Podivilov 2010-12-15 09:36:48 PST
Committed r74119: <http://trac.webkit.org/changeset/74119>
Comment 5 WebKit Review Bot 2010-12-15 10:33:22 PST
http://trac.webkit.org/changeset/74119 might have broken SnowLeopard Intel Release (Tests)
The following tests are not passing:
inspector/debugger-pause-on-breakpoint.html
inspector/debugger-pause-on-debugger-statement.html
inspector/debugger-pause-on-exception.html
inspector/debugger-proto-property.html
inspector/debugger-step-in.html
inspector/debugger-step-out.html
inspector/debugger-step-over.html
inspector/debugger-suspend-active-dom-objects.html